/// <reference types="react" />
import { Status } from "../../hooks/cdktf-project";
declare type Props = {
    status: Status;
    errorMessage?: string;
    children?: any;
    actionName: "deploying" | "destroying";
};
export declare function StatusBottomBar({ status, children, }: Omit<Props, "actionName">): any;
export declare function localizeStacks(num: number): string;
export declare function ExecutionStatusBottomBar({ status, children, actionName, }: Props): JSX.Element;
export {};
